Languages

Archived - About Apple Remote Desktop 3.4

Apple Remote Desktop version 3.4 provides compatibility with the Mac App Store (Mac App Store is included with Mac OS X v10.6.6 and later).

This article has been archived and is no longer updated by Apple.

There are two update packages:

  • Apple Remote Desktop Client 3.4 updates the software that facilitates Remote Management (enabled in Sharing preferences, in System Preferences).
  • Apple Remote Desktop Admin 3.4 updates the Remote Desktop application, which can be used to remotely administer Apple Remote Desktop clients.

Both packages are available as automatic Software Updates and as manual downloads from Apple Support Downloads.

Apple Remote Desktop version 3.4 requires one of the following system software versions:

  • Mac OS X or Mac OS X Server 10.6 or later
  • Mac OS X or Mac OS X Server 10.5.7 or 10.5.8
  • Mac OS X or Mac OS X Server 10.4.11

Additionally, this update requires:

  • Apple Remote Desktop (ARD) version 3.0, 3.1, 3.2, 3.2.1, 3.2.2, 3.3, 3.3.1 or 3.3.2
  • An Ethernet (recommended), AirPort, or IP over FireWire network connection

Compatibility with previous versions of Apple Remote Desktop

Apple Remote Desktop 3.4 allows you to add Apple Remote Desktop version 2.x and 3.x clients to your computer lists, and will automatically assist you in upgrading them to the current version of the client software.

Apple Remote Desktop 3.4 supports computers running versions 3.0, 3.1, 3.2, 3.2.1, 3.2.2, 3.3, 3.3.1 and 3.3.2 of the client software. However, if you choose to not upgrade your computers running version 2.x of the client software, you will only be able to control/observe them.

Improvements

Provides compatibility with the Mac App Store.

Last Modified: Mar 19, 2014
Helpful?
Yes
No
  • Last Modified: Mar 19, 2014
  • Article: HT4458
  • Views:

    5540
  • Rating:
    • 20.0

    (1 Responses)

Additional Product Support Information

Start a Discussion
in Apple Support Communities
See all questions on this article See all questions I have asked